<!--
 * @Author: sjl
 * @Date: 2023-05-11 17:08:07
 * @Descripttion: 
-->
<template>
  <Tooltip title="返回数据大屏" placement="bottom" :mouseEnterDelay="0.5">
    <span @click="backNav">
      <ClusterOutlined />
    </span>
  </Tooltip>
</template>
<script lang="ts">
  import { defineComponent } from 'vue';
  import { Tooltip } from 'ant-design-vue';
  import { useRouter } from 'vue-router';
  import { session } from '/@/utils/Memory.js';
  import { getAppEnvConfig } from '/@/utils/env';
  const { VITE_GLOB_BIG_SCREEN } = getAppEnvConfig();

  import { ClusterOutlined } from '@ant-design/icons-vue';
  export default defineComponent({
    name: 'FullScreen',
    components: { ClusterOutlined, Tooltip },
    setup() {
      const router = useRouter();
      const backNav = () => {
        session.setItem('currentSystemName', '');
        // router.push({ path: '/lifeline/bigscreen/systemNavigation' });
        window.location.href = `${VITE_GLOB_BIG_SCREEN}`;
      };
      return {
        backNav,
      };
    },
  });
</script>
